﻿package  {
	
	public class EnemyEye extends Enemy {
		
		public var cd:int = 16;

		public function EnemyEye(xx:Number, yy:Number) {
			super(xx, yy);
			radius = 20;
			initialize(xx, yy, 0, 0);
			bounces = true;
			hp = 4;
			value = 800;
		}

		public override function stepCustom():void {
			shot = false;
			rotation = directionToYouInv(x, y);
			scaleX = 0.8 + 0.2*hp/4;
			scaleY = 0.8 + 0.2*hp/4;
			radius = 20 * (scaleX);
			
			cd --;
			if (cd <= 0) {
				var dirRad = directionToYouRad(x, y);
				bullets.addBullet(x + 8*Math.cos(dirRad), y - 8*Math.sin(dirRad), 5, dirRad*180.0/Math.PI);
				cd = 30;
				shot = true;
			}
		}

	}
	
}
