﻿package  {
	
	public class EnemySnowman extends Enemy {

		public var cd:int = 10;

		public function EnemySnowman(xx:Number, yy:Number) {
			super(xx, yy);
			radius = 37;
			scaleX = 1.5;
			scaleY = 1.5;
			initialize(xx, yy, 2.5, Math.random()*360);
			bounces = true;
			hp = 7;
			value = 5000;
		}

		public override function stepCustom():void {
			shot = false;
			scaleX = 1.2 + 0.3*hp/7;
			scaleY = 1.2 + 0.3*hp/7;
			radius = 25 * (scaleX);
			
			cd --;
			if (cd <= 0) {
				var dir = directionToYou(x, y);
				var r:Number = Math.random();
				var i:int;
				if (r < 0.33) {
					bullets.addBullet(xx, yy, 7, dir);
					bullets.addBullet(xx, yy, 7, dir+3);
					bullets.addBullet(xx, yy, 7, dir-3);
					bullets.addBullet(xx, yy, 7, dir+6);
					bullets.addBullet(xx, yy, 7, dir-6);
					bullets.addBullet(xx, yy, 7, dir+24);
					bullets.addBullet(xx, yy, 7, dir-24);
				} else if (r < 0.66) {
					for (i = 0; i < 18; i++) {
						bullets.addBullet(xx, yy, 8, dir+20*i);
					}
				} else {
					for (i = 0; i < 8; i++) {
						bullets.addBullet(xx, yy, 3+Math.random()*4, dir-20+40*Math.random());
					}
				}
				cd = 38;
				shot = true;
			}
			
			turn += -0.7 + Math.random()*1.4;
			if (turn > 4) turn = 4;
			if (turn < -4) turn = -4;
		}

	}
	
}
