﻿package  {
	import flash.display.Sprite;
	
	public class YourBulletContainer extends Sprite {

		public var bullets:Vector.<YourBullet>;
		public var cache:Vector.<YourBullet>;

		public function YourBulletContainer() {
			bullets = new Vector.<YourBullet>();
			cache = new Vector.<YourBullet>();
			
		}
		
		public function addBullet(xx:Number, yy:Number, speed:Number, direction:Number):void {
			var b:YourBullet;
			if (cache.length > 0) {
				b = cache.pop();
			} else {
				b = new YourBullet();
			}
			b.initialize(xx, yy, speed, direction);
			addChild(b);
			bullets.push(b);
		}
		
		public function step():void {
			for (var i:int = bullets.length - 1; i >= 0; i--) {
				var b:YourBullet = bullets[i];
				if (b.toDestroy) {
					removeChild(b);
					bullets.splice(i, 1);
					cache.push(b);
				} else {
					b.step();
				}
			}
		}

	}
	
}
