﻿package  {
	
	public class EnemySpew extends Enemy {

		public var cd:int = 10;
		public var dir:Number = 0;

		public function EnemySpew(xx:Number, yy:Number) {
			super(xx, yy);
			radius = 20;
			initialize(xx, yy, 1.5, Math.random()*360);
			bounces = true;
			hp = 2;
			value = 1000;
			dir = Math.random()*360;
		}

		public override function stepCustom():void {
			shot = false;
			scaleX = 0.8 + 0.2*hp/2;
			scaleY = 0.8 + 0.2*hp/2;
			radius = 20 * (scaleX);
			
			cd --;
			if (cd <= 0) {
				dir += 12;
				bullets.addBullet(xx, yy, 4, dir);
				bullets.addBullet(xx, yy, 4, 180+dir);
				cd = 10;
				shot = true;
				if (dir > 360) {
					dir-=360;
				}
			}
			
			turn += -0.7 + Math.random()*1.4;
			if (turn > 4) turn = 4;
			if (turn < -4) turn = -4;
		}
	}
	
}
