﻿package  {
	
	import flash.display.MovieClip;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.events.ProgressEvent;

	
	public class Preloader extends MovieClip {

		public function Preloader() {
			progressText.text = "0%";
			loaderInfo.addEventListener(Event.COMPLETE, onCompletelyDownloaded);
			loaderInfo.addEventListener(ProgressEvent.PROGRESS, onProgressMade);
			preloaderButton.addEventListener(MouseEvent.CLICK, onClickPlay);
			preloaderButton.visible = false;
			stage.showDefaultContextMenu = false;
		}
		
		public function onCompletelyDownloaded(e:Event):void {
			loaderInfo.removeEventListener(Event.COMPLETE, onCompletelyDownloaded);
			loaderInfo.removeEventListener(ProgressEvent.PROGRESS, onProgressMade);
			preloaderButton.visible = true;
		}
		
		public function onProgressMade(e:Event):void {
			var fractionLoaded:Number = 1.0 * loaderInfo.bytesLoaded / loaderInfo.bytesTotal;
			progressText.text = "" + (Math.floor(fractionLoaded * 100)) + "%";
		}
		
		public function onClickPlay(e:Event):void {
			// Set the focus back onto the stage so we can receive keyboard events right away
			stage.focus = stage;
			MovieClip(root).gotoAndStop(3);
		}


	}
}
